Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Public Member Functions | List of all members
cutlass::gemm::IgemmEpilogue< GemmEpilogueTraits_, bool > Struct Template Reference

`#include <igemm_epilogue.h>`

Inheritance diagram for cutlass::gemm::IgemmEpilogue< GemmEpilogueTraits_, bool >:

## Public Types
typedef GemmEpilogue< GemmEpilogueTraits_ > | Base
| The base class. More...
Public Types inherited from cutlass::gemm::GemmEpilogue< GemmEpilogueTraits_ >
typedef GemmEpilogueTraits_ | Traits
| The traits class. More...
typedef Traits::Params | Params
| The params. More...
typedef Traits::SharedStorage | SharedStorage
| The shared storage. More...
typedef Traits::OutputTile | OutputTile
| The output tile. More...
typedef Traits::Iterations | Iterations
| The number of iterations. More...
typedef Traits::Accumulators | Accumulators
| The accumulators. More...
typedef Traits::Scalar | Scalar
| The scalar. More...
typedef Traits::Functor | Functor
| The functor in charge of the math. More...
typedef Traits::GlobalLoadIteratorC | GlobalLoadIteratorC
| We do not support 3D or 4D shapes. More...
typedef Traits::GlobalTransformerC | GlobalTransformerC
| The transformer for C. More...
typedef Traits::GlobalTransformerD | GlobalTransformerD
| The transformer for D. More...
typedef Traits::GlobalStoreIteratorD | GlobalStoreIteratorD
| The iterator for D in global memory. More...
typedef Traits::SharedStoreIteratorD | SharedStoreIteratorD
| The iterator to store D in shared memory. More...
typedef Traits::SharedStoreTransformerD | SharedStoreTransformerD
| The shared store transformer for D. More...
typedef Traits::SharedLoadStreamD | SharedLoadStreamD
| The iterator to load D in shared memory. More...
typedef Traits::Index | Index
| The index. More...
typedef GlobalLoadIteratorC::Scalar | ScalarC
| The scalar for C. More...
typedef GlobalStoreIteratorD::Scalar | ScalarD
| The scalar for D. More...

## Public Member Functions
CUTLASS_DEVICE | IgemmEpilogue (typename Base::Params const &params_, typename Base::SharedStorage &shared_storage_, Coord< 3 > const &_problem_size)
| Ctor. More...
Public Member Functions inherited from cutlass::gemm::GemmEpilogue< GemmEpilogueTraits_ >
CUTLASS_DEVICE | GemmEpilogue (Params const &params_, SharedStorage &shared_storage_, Coord< 3 > const &_problem_size)
| Ctor. More...
CUTLASS_DEVICE void | epilogue (Accumulators &accumulators, Coord< 3 > const &block=make_Coord(0, 0, 0), int batch_id=0)
| Execute the epilogue. More...
template<bool kSourceRequired>
CUTLASS_DEVICE void | epilogue_with_or_without_beta (Accumulators &accumulators, Coord< 3 > const &block, int batch_id)
CUTLASS_DEVICE void | shared_load_fence ()
| The memory fence for shared loads. More...
CUTLASS_DEVICE void | shared_store_fence ()
| The memory fence for shared stores. More...

## Additional Inherited Members
Public Attributes inherited from cutlass::gemm::GemmEpilogue< GemmEpilogueTraits_ >
Params const & | params
| The params. More...
SharedStorage & | shared_storage
| The shared storage. More...
Coord< 3 > | problem_size
| The dimensions of the GEMM. More...
Functor | functor

## Member Typedef Documentation

## ◆ Base

template<typename GemmEpilogueTraits_ , bool = GemmEpilogueTraits_::kInt8Output>

typedef GemmEpilogue<GemmEpilogueTraits_> cutlass::gemm::IgemmEpilogue< GemmEpilogueTraits_, bool >::Base

## Constructor & Destructor Documentation

## ◆ IgemmEpilogue()

template<typename GemmEpilogueTraits_ , bool = GemmEpilogueTraits_::kInt8Output>

CUTLASS_DEVICE cutlass::gemm::IgemmEpilogue< GemmEpilogueTraits_, bool >::IgemmEpilogue | ( | typename Base::Params const & | params_,
|  | typename Base::SharedStorage & | shared_storage_,
|  | Coord< 3 > const & | _problem_size
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- igemm_epilogue.h